import 'package:hub/src/core/providers/hub_repository_provider.dart';
import 'package:hub/src/features/hub/domain/get_devices_use_case.dart';
import 'package:hub/src/features/hub/domain/get_devices_use_case_impl.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final getDevicesUseCaseProvider =
Provider.autoDispose<GetDevicesUseCase>((ref) {
  final authRepository = ref.read(homeRepositoryProvider);
  return GetDevicesUseCaseImpl(authRepository);
});
